Subject: ZSH_SCRIPT
From: Greg Klanderman <[email-masked]>
To: Zsh list <[email-masked]>
Date: Wed, 24 Feb 2016 12:34:16 -0500
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi guys,

Sorry I dropped the ball on this topic back in early 2011, see
discussion in thread 'loading user startup files for zsh scripts',
specifically workers 28735 and followups:

http://www.zsh.org/mla/workers/2011/msg00173.html

Unfortunately I had thought we had agreed ZSH_SCRIPT should only be
set/non-empty in the case where you are actually running a script, but
this is not what has been recently implemented.

I would still like a way to tell if running a script or not.

I am slowly working out of a large backlog of stuff that got dropped
when the startup I work for got acquired about 5 years back, and am
hoping to get back to tieing up some loose ends like this in the not
too distant future..

Greg